/* $Id: thMidiNote.h 1550 2004-12-24 01:13:15Z joshk $ */
/*
 * Copyright (C) 2004 Metaphonic Labs
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General
 * Public License along with this program; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef TH_MIDINOTE_H
#define TH_MIDINOTE_H 1

class thMidiNote {
public:
	thMidiNote(thMod *mod, float note, float velocity);
	thMidiNote(thMod *mod);
	~thMidiNote();
	
	/* takes the arg name, and a pointer to a list of values */
	//	void SetArg (const char *name, float *value, int num);
	
	/* returns a pointer to a list of values */
	//thArgValue *GetArg(const char *name);
	
	thMod *GetMod(void) { return &modnode; }
	int GetID(void) const { return noteid; }

	void Process (int length);
	void SetArg (char *name, float *value, int len);

private:
	thMod modnode;
	int noteid;
};

#endif /* TH_MIDINOTE_H */
